
public class TriangleUtilities {
    public static String getRow(int width) {
        String stars = "";

        for(int i = 0; i < width; i++) {
            stars += "*";
        }
        return stars;
    }

    public static String getTriangle(int numberOfRows) {
        String triangle = "";
        
        for (int i = 0; i < numberOfRows; i++) {
            for(int n = 0; n <= i; n++) {
                triangle += "*";
            }
            triangle += "\n";
        }       
        return triangle;
    }

    public static String getSmallTriangle() {
        return getTriangle(4);
    }

    public static String getLargeTriangle() {
        return getTriangle(9);
    }
}
